Package Details: goredo 1.30.0-1

Git Clone URL: https://aur.archlinux.org/goredo.git (read-only, click to copy)
Package Base: goredo
Description: Go implementation of djb's redo, a Makefile replacement that sucks less
Upstream URL: http://www.goredo.cypherpunks.ru/
Keywords: redo
Licenses: GPL3
Conflicts: redo
Provides: redo
Submitter: hendry
Maintainer: hendry (jnboehm)
Last Packager: jnboehm
Votes: 2
Popularity: 0.000003
First Submitted: 2021-01-10 13:04 (UTC)
Last Updated: 2023-01-18 16:51 (UTC)

Latest Comments

kseistrup commented on 2022-08-09 12:43 (UTC)

@jnboehm

You're right. Initially I was using makepkg on PKGBUILD, but using yay -S goredo worked as expected. Thanks.

jnboehm commented on 2022-08-09 08:39 (UTC)

Are you trying to install the package from source? When I tried to install goredo from source a while back I ran into similar issues. I've had more luck with just leveraging an aur builder. I just did a clean install with yay -S goredo and that worked without any issues.

kseistrup commented on 2022-08-06 07:23 (UTC)

Am I the only one who gets this error when building v1.25.0-1:

go: go.cypherpunks.ru/recfile@v0.4.3: unrecognized import path "go.cypherpunks.ru/recfile": https fetch: Get "https://go.cypherpunks.ru/recfile?go-get=1": x509: certificate signed by unknown authority

The Install page says

»If you have problems with *.golang.org’s inability to verify authenticity of go.cypherpunks.ru TLS connection, then you can disable their usage by setting $GOPRIVATE=go.cypherpunks.ru. You can override CA certificate file path with $SSL_CERT_FILE and $GIT_SSL_CAINFO environment variables.«

But either I am doing something wrong, or it is unhelpful.

kseistrup commented on 2022-07-28 13:07 (UTC)

The .SRCINFO file hasn't been updated when updating PKGBUILD to v1.25.0, so AUR still thinks the package is v1.8.0.

kseistrup commented on 2022-07-28 06:22 (UTC)

Feel free to add @jnboehm or me (or both) as co-maintainers.

hendry commented on 2022-07-27 22:44 (UTC)

Sorry, I've neglected this. I welcome co-maintainers. Will fix it soon.

kseistrup commented on 2022-07-27 12:20 (UTC)

Please include the goredo.info manual in the package.

And please update to the latest version (v1.25.0).

jnboehm commented on 2022-04-15 12:28 (UTC)

Would it be possible to update the package to its current version of 1.24.0? It can be updated by simply changing the version number and the hash of the version.

I could try to take over the package maintenance, if that if preferable.

leoarch commented on 2022-03-31 15:33 (UTC)

I just hit an issue regarding the lack of provides and conflicts declarations, already mentioned by @kseistrup - please add them to the package.

kseistrup commented on 2021-11-28 09:40 (UTC)

The PKGBUILD ought to have

provides=("redo")
conflicts=("redo")

because it conflicts with other redo implementations, e.g., redo-python.